/*****************************************************************************
The Dark Mod GPL Source Code

This file is part of the The Dark Mod Source Code, originally based
on the Doom 3 GPL Source Code as published in 2011.

The Dark Mod Source Code is free software: you can redistribute it
and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the License,
or (at your option) any later version. For details, see LICENSE.TXT.

Project: The Dark Mod (http://www.thedarkmod.com/)

******************************************************************************/

#define IDD_FINDTEXTURE                          10000
#define IDD_ENTITY                               10001
#define IDD_GAMMA                                10002
#define IDD_FINDBRUSH                            10003
#define IDD_ROTATE                               10004
#define IDD_SIDES                                10005
#define IDD_ABOUT                                10006
#define IDD_SURFACE                              10007
#define IDD_PROJECT                              10008
#define IDD_TEXTUREBAR                           10009
#define IDD_ADDCMD                               10010
#define IDD_PLAYWAVE                             10011
#define IDD_TEXLIST                              10012
#define IDD_DLG_PREFS                            10013
#define IDD_DLG_MAPINFO                          10014
#define IDD_DLG_ENTITYLIST                       10015
#define IDD_DLG_SCRIPTS                          10016
#define IDD_DLG_NEWPROJECT                       10017
#define IDD_DLG_COMMANDLIST                      10018
#define IDD_DLG_INFORMATION                      10019
#define IDD_DLG_GROUP                            10020
#define IDD_DLG_CAMERA                           10021
#define IDD_DLG_CAMERAEVENT                      10022
#define IDD_DLG_CAMERATARGET                     10023
#define IDD_DLG_WAIT                             10024
#define IDD_DIALOG_SCALE                         10025
#define IDD_DIALOG_FINDREPLACE                   10026
#define IDD_DIALOG_STAIRS                        10027
#define IDD_DIALOG_INPUT                         10028
#define IDD_DIALOG_TEXTURELIST                   10029
#define IDD_DIALOG_NEWPATCH                      10030
#define IDD_DIALOG_TEXTURELAYOUT                 10031
#define IDD_DIALOG_CAP                           10032
#define IDD_DIALOG_THICKEN                       10033
#define IDD_DIALOG_PATCH                         10034
#define IDD_DIALOG_LIGHT                         10035
#define IDD_DIALOG_ENTITY                        10036
#define IDD_DIALOG_COLORS                        10037
#define IDD_DIALOG_INSPECTORS                    10038
#define IDD_DIALOG_TEXTURE                       10039
#define IDD_DIALOG_PREVIEW                       10040
#define IDD_DIALOG_CONSOLE                       10041
#define IDD_DIALOG_COMMENTS                      10042
#define IDD_DIALOG_EDITVIEW                      10043
#define IDD_DIALOG_EDITPREVIEW                   10044
#define IDD_DIALOG_NEW_INSPECTORS                10045
#define IDD_DIALOG_NEWCURVE                      10046
#define IDD_DIALOG_GETSTRING                     10047
#define IDD_ENTFINDREPLACE                       10048
#define IDR_ACCELERATOR1                         10049
#define IDR_ACCEL_SURFACE                        10050
#define IDR_MINIACCEL                            10051
#define IDR_MAINFRAME                            10052
#define IDR_RADIANTYPE                           10053
#define IDR_SHADERFRAME                          10054
#define IDR_SHADERTYPE                           10055
#define IDR_TOOLBAR1                             10056
#define IDR_TOOLBAR_SCALELOCK                    10057
#define IDR_TOOLBAR_ADVANCED                     10058
#define IDR_MENU_DROP                            10059
#define IDR_MENU_QUAKE3                          10060
#define IDR_MENU_EV                              10061
#define IDR_POPUP_TEXTURE                        10062
#define IDR_POPUP_SELECTION                      10063
#define IDR_POPUP_VIEW                           10064
#define IDR_POPUP_GROUP                          10065
#define IDR_POPUP_SPLINE                         10066
#define IDR_POPUP_MATERIAL                       10067
#define IDR_POPUP_ENTITY                         10068
#define IDB_IENDCAP                              10069
#define IDB_ENDCAP                               10070
#define IDB_BEVEL                                10071
#define IDB_IBEVEL                               10072
#define IDB_VIEWQE4                              10073
#define IDB_VIEW4WAY                             10074
#define IDB_VIEWDEFAULT                          10075
#define IDB_VIEWDEFAULT2                         10076
#define IDB_VIEWDEFAULT3                         10077
#define IDB_VIEWDEFAULT_Z                        10078
#define IDB_BITMAP_GROUPS                        10079
#define IDB_BITMAP_MATERIAL                      10080
#define IDB_BITMAP_HSB                           10081
#define IDB_BITMAP_RGB                           10082

#define IDC_VIEWDEFAULT                          10200
#define IDC_VIEWDEFAULT_Z                        10201
#define IDC_SELECT                               10202
#define IDC_APPLY                                10203
#define IDC_REFRESH                              10204
#define IDC_BUTTON_RELOAD                        10205
#define IDC_BUTTON_ADD                           10206
#define IDC_BUTTON_OPEN                          10207
#define IDC_APPLY2                               10208
#define IDC_APPLY_DIFFERENT                      10209
#define IDC_BUTTON_PLAY                          10210
#define IDC_CHECK1                               10211
#define IDC_TESTCAMERA                           10212
#define IDC_CHECK_LIVE                           10213
#define IDC_BTN_HIDE                             10214
#define IDC_SPIN1                                10215
#define IDC_SPIN2                                10216
#define IDC_SPIN3                                10217
#define IDC_RADIO2                               10218
#define IDC_RADIO3                               10219
#define IDC_RADIO_VIEWTYPE                       10220
#define IDC_RADIO_FALLOFF2                       10221
#define IDC_RADIO_VIEWTYPE2                      10222
#define IDC_RADIO_FALLOFF3                       10223
#define IDC_RADIO_VIEWTYPE3                      10224
#define IDC_LIST_ENTITIES                        10225
#define IDC_RADIO_VIEWTYPE4                      10226
#define IDC_EDIT_TOTALBRUSHES                    10227
#define IDC_CHECK_LOADLAST                       10228
#define IDC_CHECK_AUTOSAVE                       10229
#define IDC_CHECK_LOADLASTMAP                    10230
#define IDC_LIST_ENTITY                          10231
#define IDC_LIST_SCRIPTS                         10232
#define IDC_NEW                                  10233
#define IDC_EDIT                                 10234
#define IDC_EDIT_NAME                            10235
#define IDC_RUN                                  10236
#define IDC_LIST_COMMANDS                        10237
#define IDC_CHECK_FACE                           10238
#define IDC_CHECK_RIGHTCLICK                     10239
#define IDC_CHECK_TEXTUREWINDOW                  10240
#define IDC_CHECK_TEXTURETOOLBAR                 10241
#define IDC_CHECK_LIGHTDRAW                      10242
#define IDC_CHECK_SNAPT                          10243
#define IDC_CHECK_TEXTURESCROLLBAR               10244
#define IDC_CHECK_RUNQUAKE                       10245
#define IDC_CHECK_SETGAME                        10246
#define IDC_CHECK_DISPLAYLISTS                   10247
#define IDC_EDIT_AUTOSAVE                        10248
#define IDC_CHK_FLAT                             10249
#define IDC_CHECK_NEWMAPFORMAT                   10250
#define IDC_BTN_APPLYTEXTURESTUFF                10251
#define IDC_CHECK_QE4PAINTING                    10252
#define IDC_BTN_PLAY                             10253
#define IDC_BTN_ADD                              10254
#define IDC_BTN_TEXTURE                          10255
#define IDC_BTN_PREVIEW                          10256
#define IDC_BTN_ADDTARGET                        10257
#define IDC_BTN_SET                              10258
#define IDC_BTN_OLDCOLOR                         10259
#define IDC_BUTTON_MODEL                         10260
#define IDC_SPIN_AUTOSAVE                        10261
#define IDC_BTN_DEL                              10262
#define IDC_BUTTON_SOUND                         10263
#define IDC_CHECK_SIZEPAINT                      10264
#define IDC_BTN_EDIT                             10265
#define IDC_BUTTON_GUI                           10266
#define IDC_EDIT_X                               10267
#define IDC_SPIN_UNDO                            10268
#define IDC_BTN_HIDEALL                          10269
#define IDC_BUTTON_PARTICLE                      10270
#define IDC_CHECK_SNAPSHOTS                      10271
#define IDC_BTN_SHOWALL                          10272
#define IDC_BUTTON_SKIN                          10273
#define IDC_EDIT_FIND                            10274
#define IDC_SPIN_POINTSIZE                       10275
#define IDC_BUTTON_CURVE                         10276
#define IDC_EDIT_REPLACE                         10277
#define IDC_EDIT_S                               10278
#define IDC_CHECK_SELECTED                       10279
#define IDC_EDIT_T                               10280
#define IDC_CHECK_FORCE                          10281
#define IDC_EDIT1                                10282
#define IDC_ROTATE_BOX                           10283
#define IDC_ROTZ                                 10284
#define IDC_EDIT_TOTALENTITIES                   10285
#define IDC_EDIT_Y                               10286
#define IDC_EDIT_KEY                             10287
#define IDC_EDIT_INPUT                           10288
#define IDC_EDIT_PATH                            10289
#define IDC_PARTICLE_EDIT2                       10290
#define IDC_ROTY                                 10291
#define IDC_EDIT_NET                             10292
#define IDC_EDIT_Z                               10293
#define IDC_EDIT_COMMENTS                        10294
#define IDC_E_VALUE_FIELD                        10295
#define IDC_E_LIST                               10296
#define IDC_E_COMMENT                            10297
#define IDC_E_PROPS                              10298
#define IDC_E_135                                10299
#define IDC_E_180                                10300
#define IDC_E_225                                10301
#define IDC_E_270                                10302
#define IDC_E_90                                 10303
#define IDC_E_45                                 10304
#define IDC_E_0                                  10305
#define IDC_E_315                                10306
#define IDC_E_UP                                 10307
#define IDC_E_DOWN                               10308
#define IDC_E_ADDPROP                            10309
#define IDC_E_DELPROP                            10310
#define IDC_E_CREATE                             10311
#define IDC_E_STATUS                             10312
#define IDC_SHIFT_BOX                            10313
#define IDC_HSHIFT                               10314
#define IDC_VSHIFT                               10315
#define IDC_ROTATEV                              10316
#define IDC_HSTRETCH                             10317
#define IDC_SCALEV                               10318
#define IDC_EDIT_STATUSPOINTSIZE                 10319
#define IDC_SCALEH                               10320
#define IDC_EDIT_ROTATION                        10321
#define IDC_STATIC_FIELD1                        10322
#define IDC_EDIT_UNDOLEVELS                      10323
#define IDC_HSCALE                               10324
#define IDC_VSCALE                               10325
#define IDC_EDIT_FIELD1                          10326
#define IDC_STATIC_FIELD2                        10327
#define IDC_ROTATE                               10328
#define IDC_EDIT_FIELD2                          10329
#define IDC_SLIDER_CAMSPEED                      10330
#define IDC_G_EDIT                               10331
#define IDC_STATIC_FIELD3                        10332
#define IDC_CHECK_CAMXYUPDATE                    10333
#define IDC_STATIC_KEY                           10334
#define IDC_FIND_BRUSH                           10335
#define IDC_EDIT_FIELD3                          10336
#define IDC_STATIC_VALUE                         10337
#define IDC_STATIC_FIELD4                        10338
#define IDC_E_KEY_FIELD                          10339
#define IDC_EDIT_FIELD4                          10340
#define IDC_FIND_ENTITY                          10341
#define IDC_STATIC_FIELD5                        10342
#define IDC_SIDES                                10343
#define IDC_EDIT_FIELD5                          10344
#define IDC_COMBO_WHATGAME                       10345
#define IDC_ROTX                                 10346
#define IDC_BTN_COLOR                            10347
#define IDC_STATIC_COLOR                         10348
#define IDC_E_COLOR                              10349
#define IDC_ABOUT_GLVENDOR                       10350
#define IDC_ABOUT_GLVERSION                      10351
#define IDC_BTN_THECOLOR                         10352
#define IDC_ABOUT_GLRENDERER                     10353
#define IDC_STATIC_STUFF                         10354
#define IDC_TEXTURE                              10355
#define IDC_CHECK_ALTDRAG                        10356
#define IDC_PRJRSHCMD                            10357
#define IDC_SPIN_HSHIFT                          10358
#define IDC_CHECK_MOUSECHASE                     10359
#define IDC_PRJREMOTEBASE                        10360
#define IDC_SPIN_VSHIFT                          10361
#define IDC_CHECK_FACECOLOR                      10362
#define IDC_PRJENTITYPATH                        10363
#define IDC_SPIN_VSCALE                          10364
#define IDC_CHECK_NOCLAMP                        10365
#define IDC_PRJTEXPATH                           10366
#define IDC_SPIN_HSCALE                          10367
#define IDC_PRJAUTOSAVE                          10368
#define IDC_SPIN_ROTATE                          10369
#define IDC_ADDCMD                               10370
#define IDC_EDIT_ROTATEAMT                       10371
#define IDC_CMD_LIST                             10372
#define IDC_CHECK_DLLENTITIES                    10373
#define IDC_PRJBASEPATH                          10374
#define IDC_CHECK_WIDETOOLBAR                    10375
#define IDC_CMDCOMMAND                           10376
#define IDC_CHECK_BUGGYICD                       10377
#define IDC_CMDMENUTEXT                          10378
#define IDC_CHECK_SGIOPENGL                      10379
#define IDC_REMCMD                               10380
#define IDC_PRJINTERVAL                          10381
#define IDC_CHECK_HICOLOR                        10382
#define IDC_PRJMAPSPATH                          10383
#define IDC_CHECK_SHADERTEST                     10384
#define IDC_EDITCMD                              10385
#define IDC_CHECK_SHOWSHADERS                    10386
#define IDC_ABOUT_GLEXTENSIONS                   10387
#define IDC_LIST_TEXTURES                        10388
#define IDC_COMBO_WIDTH                          10389
#define IDC_COMBO_HEIGHT                         10390
#define IDC_BTN_PATCHDETAILS                     10391
#define IDC_BTN_PATCHRESET                       10392
#define IDC_BTN_PATCHNATURAL                     10393
#define IDC_RADIO_CAP                            10394
#define IDC_BTN_PATCHFIT                         10395
#define IDC_RADIO_CAP2                           10396
#define IDC_CHECK_SEAMS                          10397
#define IDC_BTN_FLIPX                            10398
#define IDC_RADIO_CAP3                           10399
#define IDC_EDIT_AMOUNT                          10400
#define IDC_BTN_FLIPY                            10401
#define IDC_RADIO_CAP4                           10402
#define IDC_BTN_ASSIGNSOUND                      10403
#define IDC_BTN_AXIAL                            10404
#define IDC_BTN_ASSIGNMODEL                      10405
#define IDC_BTN_FACEFIT                          10406
#define IDC_SLIDER_TEXTUREQUALITY                10407
#define IDC_LIST1                                10408
#define IDC_BTN_BRUSHFIT                         10409
#define IDC_LIST_EVENTS                          10410
#define IDC_LIST_WAV                             10411
#define IDC_PARTICLE_LIST1                       10412
#define IDC_LIST_VARS                            10413
#define IDC_TREE1                                10414
#define IDC_TREE_TEXTURES                        10415
#define IDC_COMBO_ROW                            10416
#define IDC_COMBO_COL                            10417
#define IDC_COMBO_TYPE                           10418
#define IDC_EDIT_WIDTH                           10419
#define IDC_CHECK_BPRIMIT                        10420
#define IDC_EDIT_HEIGHT                          10421
#define IDC_SPIN_WIDTH                           10422
#define IDC_SPIN_HEIGHT                          10423
#define IDC_COMBO_SHADERS                        10424
#define IDC_TREE_GROUP                           10425
#define IDC_CHECK_NOSTIPPLE                      10426
#define IDC_TAB_MODE                             10427
#define IDC_CHECK_POINT                          10428
#define IDC_CHECK_EQUALRADIUS                    10429
#define IDC_RADIO_FALLOFF                        10430
#define IDC_CHECK_PROJECTED                      10431
#define IDC_CHECK_EXPLICITFALLOFF                10432
#define IDC_CHECK_CENTER                         10433
#define IDC_SLIDER_BRIGHTNESS                    10434
#define IDC_CHECK_PARALLEL                       10435
#define IDC_CHECK_SHADOWS                        10436
#define IDC_CHECK_DIFFUSE                        10437
#define IDC_CHECK_SPECULAR                       10438
#define IDC_EDIT_RADIUSY                         10439
#define IDC_EDIT_RADIUSZ                         10440
#define IDC_EDIT_RADIUSX                         10441
#define IDC_EDIT_TARGETX                         10442
#define IDC_EDIT_TARGETY                         10443
#define IDC_EDIT_TARGETZ                         10444
#define IDC_EDIT_RIGHTX                          10445
#define IDC_EDIT_RIGHTY                          10446
#define IDC_EDIT_RIGHTZ                          10447
#define IDC_EDIT_UPX                             10448
#define IDC_EDIT_UPY                             10449
#define IDC_EDIT_UPZ                             10450
#define IDC_EDIT_STARTX                          10451
#define IDC_EDIT_STARTY                          10452
#define IDC_EDIT_STARTZ                          10453
#define IDC_EDIT_ENDX                            10454
#define IDC_EDIT_ENDY                            10455
#define IDC_EDIT_ENDZ                            10456
#define IDC_EDIT_CENTERX                         10457
#define IDC_COMBO_TEXTURE                        10458
#define IDC_EDIT_CENTERY                         10459
#define IDC_EDIT_MAPS                            10460
#define IDC_EDIT_CENTERZ                         10461
#define IDC_EDIT_CAM_NAME                        10462
#define IDC_COMBO_SPLINES                        10463
#define IDC_SCROLLBAR_SEGMENT                    10464
#define IDC_EDIT_LENGTH                          10465
#define IDC_EDIT_SEGMENT                         10466
#define IDC_BTN_ADDEVENT                         10467
#define IDC_BTN_DELEVENT                         10468
#define IDC_CHECK_TRACKCAMERA                    10469
#define IDC_RADIO_EVENT                          10470
#define IDC_EDIT_TOTALSEGMENTS                   10471
#define IDC_RADIO5                               10472
#define IDC_RADIO6                               10473
#define IDC_RADIO7                               10474
#define IDC_RADIO8                               10475
#define IDC_EDIT_PARAM                           10476
#define IDC_RADIO9                               10477
#define IDC_RADIO_FIXED                          10478
#define IDC_RADIO10                              10479
#define IDC_RADIO11                              10480
#define IDC_RADIO_EDITPOINTS                     10481
#define IDC_RADIO12                              10482
#define IDC_RADIO_EDITPOINTS2                    10483
#define IDC_BTN_DELETEPOINTS                     10484
#define IDC_RADIO13                              10485
#define IDC_EDIT_TYPE                            10486
#define IDC_RADIO14                              10487
#define IDC_BTN_SELECTALL                        10488
#define IDC_RADIO15                              10489
#define IDC_CHECK_SUBDIVIDE                      10490
#define IDC_RADIO16                              10491
#define IDC_SLIDER_HORZ                          10492
#define IDC_SLIDER_VERT                          10493
#define IDC_EDIT_HORZ                            10494
#define IDC_EDIT_VERT                            10495
#define IDC_LOAD                                 10496
#define IDC_PREVIEW                              10497
#define IDC_CHECK_HIDEROOT                       10498
#define IDC_CHECK_ABSOLUTE                       10499
#define IDC_LIGHTPREVIEW                         10500
#define IDC_BUTTON_COLOR1                        10501
#define IDC_STATIC_RGB_RECT                      10502
#define IDC_STATIC_HSB_RECT                      10503
#define IDC_EDIT_RED                             10504
#define IDC_SPIN_RED                             10505
#define IDC_EDIT_GREEN                           10506
#define IDC_SPIN_GREEN                           10507
#define IDC_EDIT_BLUE                            10508
#define IDC_SPIN_BLUE                            10509
#define IDC_BUTTON_COLOR2                        10510
#define IDC_STATIC_NEWCOLOR                      10511
#define IDC_EDIT_HUE                             10512
#define IDC_SPIN_HUE                             10513
#define IDC_ANIMATION_SLIDER                     10514
#define IDC_EDIT_SAT                             10515
#define IDC_SPIN_SAT                             10516
#define IDC_BTN_APPLY                            10517
#define IDC_EDIT_VAL                             10518
#define IDC_SPIN_VAL                             10519
#define IDC_EDIT_OVERBRIGHT                      10520
#define IDC_SPIN_OVERBRIGHT                      10521
#define IDC_WAITSTR                              10522
#define IDC_COMBO_CLASS                          10523
#define IDC_EDIT_INFO                            10524
#define IDC_LIST_KEYVAL                          10525
#define IDC_BUTTON_BROWSE                        10526
#define IDC_BUTTON_CREATE                        10527
#define IDC_CUSTOM1                              10528
#define IDC_TAB_INSPECTOR                        10529
#define IDC_STATIC_TITLE                         10530
#define IDC_STATIC_VAL                           10531
#define IDC_TREE_MEDIA                           10532
#define IDC_EDIT_CONSOLE                         10533
#define IDC_BUTTON_SAVE                          10534
#define IDC_STATIC_LINE                          10535
#define IDC_BUTTON_GOTO                          10536
#define IDC_EDIT_GOTO                            10537
#define IDC_EDIT_LINE                            10538
#define IDC_ENTITY_PLAY_ANIM                     10539
#define IDC_ENTITY_ANIMATIONS                    10540
#define IDC_ENTITY_STOP_ANIM                     10541
#define IDC_ENTITY_CURRENT_ANIM                  10542
#define IDC_COMBO_CURVES                         10543
#define IDC_EDIT_FIND_KEY                        10544
#define IDC_EDIT_FIND_VALUE                      10545
#define IDC_EDIT_REPLACE_KEY                     10546
#define IDC_EDIT_REPLACE_VALUE                   10547
#define IDC_KEYCOPY                              10548
#define IDC_VALUECOPY                            10549
#define IDC_CHECK_FIND_WHOLESTRINGMATCHONLY      10550
#define IDC_REPLACE                              10551
#define IDC_FIND                                 10552
#define IDC_PROMPT                               10553
#define IDC_CHECK_SELECTALLMATCHING              10554

#define ID_COLOR_SUPERMAL                        30000
#define ID_Menu                                  30001
#define ID_DROP_VIEWOPTIONS                      30002
#define ID_VIEWOPTIONS_WIREFRAME                 30003
#define ID_WIREFRAME_ON                          30004
#define ID_WIREFRAME_OFF                         30005
#define ID_VIEWOPTIONS_FORCEVISIBILITY           30006
#define ID_FORCEVISIBILITY_ON                    30007
#define ID_FORCEVISIBILITY_OFF                   30008
#define ID_SELECT_COMPLETEENTITY                 30009
#define ID_PATCH_NURBEDITOR                      30010
#define ID_PRECISION_CURSOR_CYCLE                30011
#define ID_THEMES_MAX                            30012
#define ID_MATERIALS_GENERATEMATERIALSLIST       30013
#define ID_MATERIAL_EDIT                         30014
#define ID_SELECT_ALLTARGETS                     30015
#define ID_VIEW_SHOWCOMBATNODES                  30016
#define ID_FILE_IMPORT                           30017
#define ID_VIEW_XY                               30018
#define ID_VIEW_SIDE                             30019
#define ID_VIEW_FRONT                            30020
#define ID_CAMERATOGGLE                          30021
#define ID_VIEW_CAMERATOGGLE                     30022
#define ID_TEXTURES_POPUP                        30023
#define ID_POPUP_SELECTION                       30024
#define ID_VIEW_CHANGE                           30025
#define ID_VIEW_CAMERAUPDATE                     30026
#define ID_VIEW_CLIPPER                          30027
#define ID_PREFS                                 30028
#define ID_TOGGLE_LOCK                           30029
#define ID_EDIT_MAPINFO                          30030
#define ID_EDIT_ENTITYINFO                       30031
#define ID_BRUSH_SCRIPTS                         30032
#define ID_VIEW_NEXTVIEW                         30033
#define ID_HELP_COMMANDLIST                      30034
#define ID_FILE_NEWPROJECT                       30035
#define ID_SNAPTOGRID                            30036
#define ID_SPLIT_SELECTED                        30037
#define ID_CLIP_SELECTED                         30038
#define ID_FLIP_CLIP                             30039
#define ID_TOGGLEVIEW_YZ                         30040
#define ID_TOGGLEVIEW_XZ                         30041
#define ID_COLORS_GRIDTEXT                       30042
#define ID_COLORS_BRUSH                          30043
#define ID_COLORS_SELECTEDBRUSH                  30044
#define ID_COLORS_CLIPPER                        30045
#define ID_COLORS_GRIDBLOCK                      30046
#define ID_COLORS_VIEWNAME                       30047
#define ID_COLOR_SETORIGINAL                     30048
#define ID_COLOR_SETQER                          30049
#define ID_COLOR_SETBLACK                        30050
#define ID_BYEBYE                                30051
#define ID_SELECT_SCALE                          30052
#define ID_SELECT_MOUSEROTATE                    30053
#define ID_TEXTURE_REPLACESELECTED               30054
#define ID_TEXTURE_REPLACEALL                    30055
#define ID_SELECT_COMPLETE_ENTITY                30056
#define ID_SCALELOCKX                            30057
#define ID_SCALELOCKY                            30058
#define ID_SCALELOCKZ                            30059
#define ID_VIEW_CUBICCLIPPING                    30060
#define ID_FILE_PROJECTSETTINGS                  30061
#define ID_VIEW_CUBEOUT                          30062
#define ID_VIEW_CUBEIN                           30063
#define ID_NODES_LOADNODES                       30064
#define ID_NODES_SHOWNODES                       30065
#define ID_NODES_SHOWLINKS                       30066
#define ID_NODES_REMOVEALLNODES                  30067
#define ID_NODES_COUNTNODES                      30068
#define ID_NODES_GIVEMONEYTONELNO                30069
#define ID_FILE_SAVEREGION                       30070
#define ID_FILE_LOADREGION                       30071
#define ID_SELECTION_MOVEDOWN                    30072
#define ID_TOOLBAR_MAIN                          30073
#define ID_SELECTION_MOVEUP                      30074
#define ID_TOOLBAR_TEXTURE                       30075
#define ID_BRUSH_MAKECONE                        30076
#define ID_TEXTURES_LOAD                         30077
#define ID_TOGGLE_ROTATELOCK                     30078
#define ID_CURVE_CYLINDER                        30079
#define ID_CURVE_ENDCAP                          30080
#define ID_CURVE_BEVEL                           30081
#define ID_CURVE_SPHERE                          30082
#define ID_CURVE_HEMISPHERE                      30083
#define ID_CURVE_QUARTER                         30084
#define ID_CURVE_EIGHTHSPHERE                    30085
#define ID_CURVE_INVERTCURVE                     30086
#define ID_FILE_IMPORTMAP                        30087
#define ID_FILE_EXPORTMAP                        30088
#define ID_EDIT_LOADPREFAB                       30089
#define ID_VIEW_SHOWCURVES                       30090
#define ID_SELECTION_SELECT_NUDGELEFT            30091
#define ID_SELECTION_SELECT_NUDGERIGHT           30092
#define ID_SELECTION_SELECT_NUDGEUP              30093
#define ID_SELECTION_SELECT_NUDGEDOWN            30094
#define ID_TEXTURES_LOADLIST                     30095
#define ID_DONTSELECTCURVE                       30096
#define ID_CONVERTCURVES                         30097
#define ID_DYNAMIC_LIGHTING                      30098
#define ID_PATCH_SHOWBOUNDINGBOX                 30099
#define ID_CURVE_SIMPLEPATCHMESH                 30100
#define ID_PATCH_WIREFRAME                       30101
#define ID_PATCH_WELD                            30102
#define ID_CURVE_PATCHTUBE                       30103
#define ID_CURVE_PATCHCONE                       30104
#define ID_CURVE_PATCHENDCAP                     30105
#define ID_CURVE_PATCHBEVEL                      30106
#define ID_CURVE_PATCHINVERTEDENDCAP             30107
#define ID_CURVE_PATCHINVERTEDBEVEL              30108
#define ID_PATCH_DRILLDOWN                       30109
#define ID_CURVE_LOADPATCHFILE                   30110
#define ID_CURVE_INSERTROW                       30111
#define ID_CURVE_INSERTCOLUMN                    30112
#define ID_CURVE_DELETEROW                       30113
#define ID_CURVE_DELETECOLUMN                    30114
#define ID_PATCH_INSDEL                          30115
#define ID_CURVE_INSERT_ADDCOLUMN                30116
#define ID_CURVE_INSERT_INSERTCOLUMN             30117
#define ID_CURVE_INSERT_ADDROW                   30118
#define ID_CURVE_INSERT_INSERTROW                30119
#define ID_CURVE_DELETE_FIRSTCOLUMN              30120
#define ID_CURVE_DELETE_LASTCOLUMN               30121
#define ID_CURVE_DELETE_FIRSTROW                 30122
#define ID_CURVE_DELETE_LASTROW                  30123
#define ID_CURVE_NEGATIVE                        30124
#define ID_PATCH_BEND                            30125
#define ID_CURVE_PATCHDENSETUBE                  30126
#define ID_CURVE_PATCHVERYDENSETUBE              30127
#define ID_CURVE_CAP                             30128
#define ID_CURVE_CAP_INVERTEDBEVEL               30129
#define ID_CURVE_CAP_INVERTEDENDCAP              30130
#define ID_CURVE_REDISPERSE_ROWS                 30131
#define ID_CURVE_REDISPERSE_COLS                 30132
#define ID_PATCH_NATURALIZE                      30133
#define ID_CURVE_PATCHSQUARE                     30134
#define ID_BRUSH_PRIMITIVES_SPHERE               30135
#define ID_BRUSH_PRIMITIVES_TORUS                30136
#define ID_TEXTURES_TEXTUREWINDOWSCALE_200       30137
#define ID_TEXTURES_TEXTUREWINDOWSCALE_100       30138
#define ID_TEXTURES_TEXTUREWINDOWSCALE_50        30139
#define ID_TEXTURES_TEXTUREWINDOWSCALE_25        30140
#define ID_TEXTURES_TEXTUREWINDOWSCALE_10        30141
#define ID_CURVE_NEGATIVETEXTUREX                30142
#define ID_TEXTURES_FLUSH                        30143
#define ID_CURVE_OVERLAY_SET                     30144
#define ID_CURVE_OVERLAY_CLEAR                   30145
#define ID_CURVE_NEGATIVETEXTUREY                30146
#define ID_CURVE_THICKEN                         30147
#define ID_CURVE_CYCLECAP                        30148
#define ID_CURVE_CYCLECAPALT                     30149
#define ID_CURVE_MATRIX_TRANSPOSE                30150
#define ID_PLUGINS_REFRESH                       30151
#define ID_TEXTURES_RELOADSHADERS                30152
#define ID_VIEW_ENTITIESAS_BOUNDINGBOX           30153
#define ID_VIEW_ENTITIESAS_WRITEFRAME            30154
#define ID_VIEW_ENTITIESAS_SELECTEDWIREFRAME     30155
#define ID_VIEW_ENTITIESAS_SELECTEDSKINNED       30156
#define ID_VIEW_ENTITIESAS_SKINNED               30157
#define ID_VIEW_ENTITIESAS_SKINNEDANDBOXED       30158
#define ID_SHOW_ENTITIES                         30159
#define ID_VIEW_ENTITIESAS_WIREFRAME             30160
#define ID_VIEW_SHOWHINT                         30161
#define ID_VIEW_OPENGLLIGHTING                   30162
#define ID_VIEW_SHOWCAULK                        30163
#define ID_VIEW_SHOWANGLES                       30164
#define ID_EDIT_SAVEPREFAB                       30165
#define ID_CURVE_MOREENDCAPSBEVELS_SQUAREENDCAP  30166
#define ID_CURVE_MOREENDCAPSBEVELS_SQUAREBEVEL   30167
#define ID_CURVE_PRIMITIVES_SPHERE               30168
#define ID_VIEW_HIDESHOW_HIDESELECTED            30169
#define ID_VIEW_HIDESHOW_SHOWHIDDEN              30170
#define ID_TEXTURES_SHADERS_SHOW                 30171
#define ID_SELECTION_CSGADD                      30172
#define ID_VIEW_HIDESHOW_HIDENOTSELECTED         30173
#define ID_SELECTION_CSGMERGE                    30174
#define ID_TEXTURES_FLUSH_UNUSED                 30175
#define ID_DROP_GROUP_REMOVE                     30176
#define ID_DROP_GROUP_ADDTO_WORLD                30177
#define ID_DROP_GROUP_NEWGROUP                   30178
#define ID_DROP_GROUP_NAME                       30179
#define ID_DROP_GROUP_ADDTO                      30180
#define ID_SHOW_LIGHTVOLUMES                     30181
#define ID_SHOW_LIGHTTEXTURES                    30182
#define ID_SHOW_DOOM                             30183
#define ID_SPLINES_MODE                          30184
#define ID_SPLINES_LOAD                          30185
#define ID_SPLINES_SAVE                          30186
#define ID_MATERIAL_INFO                         30187
#define ID_SPLINE_TEST                           30188
#define ID_POPUP_NEWCAMERA_INTERPOLATED          30189
#define ID_POPUP_NEWCAMERA_SPLINE                30190
#define ID_POPUP_NEWCAMERA_FIXED                 30191
#define ID_SELECTION_MOVEONLY                    30192
#define ID_SELECT_BRUSHESONLY                    30193
#define ID_SELECT_BYBOUNDINGBRUSH                30194
#define ID_TEXTURES_HIDEALL                      30195
#define ID_SELECTION_COMBINE                     30196
#define ID_PATCH_COMBINE                         30197
#define ID_VIEW_RENDERMODE                       30198
#define ID_VIEW_REBUILDRENDERDATA                30199
#define ID_VIEW_REALTIMEREBUILD                  30200
#define ID_VIEW_RENDERENTITYOUTLINES             30201
#define ID_VIEW_MATERIALANIMATION                30202
#define ID_DROP_NEWMODEL                         30203
#define ID_SELECT_AXIALTEXTURE_BYWIDTH           30204
#define ID_SELECT_AXIALTEXTURE_BYHEIGHT          30205
#define ID_SELECT_AXIALTEXTURE_ARBITRARY         30206
#define ID_SELECTION_EXPORT_TOOBJ                30207
#define ID_VIEW_RENDERSELECTION                  30208
#define ID_VIEW_SHOW_SHOWVISPORTALS              30209
#define ID_SELECT_NOMODELS                       30210
#define ID_VIEW_RENDERSOUND                      30211
#define ID_SOUND_POPUP                           30212
#define ID_SOUND_SHOWSOUNDVOLUMES                30213
#define ID_SOUND_SHOWSELECTEDSOUNDVOLUMES        30214
#define ID_VIEW_SHOW_NODRAW                      30215
#define ID_SELECT_MOUSESCALE                     30216
#define ID_SELECTION_EXPORT_TOCM                 30217
#define ID_SPLINES_EDITPOINTS                    30218
#define ID_SPLINES_ADDPOINTS                     30219
#define ID_SPLINES_INSERTPOINTS                  30220
#define ID_SPLINES_DELETEPOINTS                  30221
#define ID_PLUGIN_START                          30222
#define ID_PLUGIN_END                            30223
#define ID_FILE_EXIT                             30224
#define ID_FILE_SAVEAS                           30225
#define ID_VIEW_CENTER                           30226
#define ID_VIEW_UPFLOOR                          30227
#define ID_VIEW_DOWNFLOOR                        30228
#define ID_BRUSH_FLIPX                           30229
#define ID_BRUSH_FLIPY                           30230
#define ID_BRUSH_FLIPZ                           30231
#define ID_BRUSH_ROTATEX                         30232
#define ID_BRUSH_ROTATEY                         30233
#define ID_BRUSH_ROTATEZ                         30234
#define ID_BSP_FULLVIS                           30235
#define ID_BSP_FASTVIS                           30236
#define ID_BSP_NOVIS                             30237
#define ID_BSP_RELIGHT                           30238
#define ID_BSP_ENTITIES                          30239
#define ID_FILE_POINTFILE                        30240
#define ID_VIEW_100                              30241
#define ID_VIEW_75                               30242
#define ID_VIEW_50                               30243
#define ID_VIEW_25                               30244
#define ID_VIEW_12                               30245
#define ID_TEXTURES_SHOWALL                      30246
#define ID_TEXTURES_SHOWINUSE                    30247
#define ID_TEXTURES_TOGGLEVIEW                   30248
#define ID_SELECTION_CREATEENTITY                30249
#define ID_SELECTION_EDITENTITY                  30250
#define ID_MISC_BENCHMARK                        30251
#define ID_REGION_OFF                            30252
#define ID_REGION_SETXY                          30253
#define ID_REGION_SETBRUSH                       30254
#define ID_SELECTION_MAKEHOLLOW                  30255
#define ID_SELECTION_SELECTPARTIALTALL           30256
#define ID_SELECTION_SELECTCOMPLETETALL          30257
#define ID_SELECTION_CSGSUBTRACT                 30258
#define ID_SELECTION_SELECTTOUCHING              30259
#define ID_VIEW_NEAREST                          30260
#define ID_VIEW_NEARESTMIPMAP                    30261
#define ID_VIEW_LINEAR                           30262
#define ID_VIEW_BILINEAR                         30263
#define ID_VIEW_BILINEARMIPMAP                   30264
#define ID_VIEW_TRILINEAR                        30265
#define ID_TEXTURES_WIREFRAME                    30266
#define ID_TEXTURES_FLATSHADE                    30267
#define ID_VIEW_SHOWNAMES                        30268
#define ID_VIEW_ZOOMIN                           30269
#define ID_VIEW_ZOOMOUT                          30270
#define ID_VIEW_SHOWCOORDINATES                  30271
#define ID_VIEW_Z100                             30272
#define ID_VIEW_ZZOOMIN                          30273
#define ID_VIEW_ZZOOMOUT                         30274
#define ID_SELECTION_CLONE                       30275
#define ID_SELECTION_DESELECT                    30276
#define ID_SELECTION_DELETE                      30277
#define ID_SELECTION_DRAGVERTECIES               30278
#define ID_SELECTION_DRAGEDGES                   30279
#define ID_REGION_SETTALLBRUSH                   30280
#define ID_SELECTION_SELECTINSIDE                30281
#define ID_PROJECT_RELEAD                        30282
#define ID_PROJECT_CHANGE                        30283
#define ID_MISC_GAMMA                            30284
#define ID_VIEW_SHOWENT                          30285
#define ID_VIEW_SHOWPATH                         30286
#define ID_VIEW_SHOWLIGHTS                       30287
#define ID_VIEW_SHOWCLIP                         30288
#define ID_VIEW_SHOWWATER                        30289
#define ID_VIEW_SHOWWORLD                        30290
#define ID_MISC_TEXTUREBACKGROUN                 30291
#define ID_TEXTUREBK                             30292
#define ID_COLORS_XYBK                           30293
#define ID_FILE_ABOUT                            30294
#define ID_VIEW_CONSOLE                          30295
#define ID_VIEW_ENTITY                           30296
#define ID_VIEW_TEXTURE                          30297
#define ID_COLORS_MAJOR                          30298
#define ID_COLORS_MINOR                          30299
#define ID_SELECTION_CONNECT                     30300
#define ID_FILE_LOADPROJECT                      30301
#define ID_MISC_FINDBRUSH                        30302
#define ID_MISC_NEXTLEAKSPOT                     30303
#define ID_MISC_PREVIOUSLEAKSPOT                 30304
#define ID_BRUSH_3SIDED                          30305
#define ID_BRUSH_4SIDED                          30306
#define ID_BRUSH_5SIDED                          30307
#define ID_BRUSH_6SIDED                          30308
#define ID_BRUSH_7SIDED                          30309
#define ID_BRUSH_8SIDED                          30310
#define ID_BRUSH_9SIDED                          30311
#define ID_SELECTION_ARBITRARYROTATION           30312
#define ID_BRUSH_ARBITRARYSIDED                  30313
#define ID_SELECTION_UNGROUPENTITY               30314
#define ID_MISC_SELECTENTITYCOLOR                30315
#define ID_MISC_PRINTXY                          30316
#define ID_HELP_ABOUT                            30317
#define ID_EDIT_COPYBRUSH                        30318
#define ID_EDIT_PASTEBRUSH                       30319
#define ID_TEXTURES_INSPECTOR                    30320
#define ID_VIEW_SHOWDETAIL                       30321
#define ID_SELECTION_MAKE_DETAIL                 30322
#define ID_SELECTION_MAKE_STRUCTURAL             30323
#define ID_REGION_SETSELECTION                   30324
#define ID_VIEW_SHOWBLOCKS                       30325
#define ID_CAMERA_UP                             30326
#define ID_CAMERA_DOWN                           30327
#define ID_CAMERA_LEFT                           30328
#define ID_CAMERA_RIGHT                          30329
#define ID_CAMERA_FORWARD                        30330
#define ID_CAMERA_BACK                           30331
#define ID_CAMERA_ANGLEUP                        30332
#define ID_CAMERA_ANGLEDOWN                      30333
#define ID_CAMERA_STRAFELEFT                     30334
#define ID_CAMERA_STRAFERIGHT                    30335
#define ID_GRID_TOGGLE                           30336
#define ID_ENTITYLIST                            30337
#define ID_MAPINFO                               30338
#define ID_TOGGLECONSOLE                         30339
#define ID_TOGGLECAMERA                          30340
#define ID_TOGGLEZ                               30341
#define ID_TOGGLEVIEW                            30342
#define ID_SELECTION_TEXTURE_DEC                 30343
#define ID_SELECTION_TEXTURE_INC                 30344
#define ID_SELECTION_TEXTURE_FIT                 30345
#define ID_SELECTION_TEXTURE_ROTATECLOCK         30346
#define ID_SELECTION_TEXTURE_ROTATECOUNTER       30347
#define ID_SELECTION_TEXTURE_SCALEUP             30348
#define ID_SELECTION_TEXTURE_SCALEDOWN           30349
#define ID_SELECTION_TEXTURE_SHIFTLEFT           30350
#define ID_SELECTION_TEXTURE_SHIFTRIGHT          30351
#define ID_SELECTION_TEXTURE_SHIFTUP             30352
#define ID_SELECTION_TEXTURE_SHIFTDOWN           30353
#define ID_GRID_NEXT                             30354
#define ID_GRID_PREV                             30355
#define ID_SELECTION_TEXTURE_SCALELEFT           30356
#define ID_SELECTION_TEXTURE_SCALERIGHT          30357
#define ID_SELECTION_PRINT                       30358
#define ID_SELECTION_TOGGLESIZEPAINT             30359
#define ID_PATCH_TAB                             30360
#define ID_PATCH_ENTER                           30361
#define ID_SELECT_SNAPTOGRID                     30362
#define ID_PATCH_INSPECTOR                       30363
#define ID_SELECT_ALL                            30364
#define ID_CURVE_FREEZE                          30365
#define ID_CURVE_UNFREEZE                        30366
#define ID_CURVE_UNFREEZEALL                     30367
#define ID_SELECT_RESELECT                       30368
#define ID_FITBRUSH                              30369
#define ID_FITFACE                               30370
#define ID_VIEW_CROSSHAIR                        30371
#define ID_SELECTION_INVERT                      30372
#define ID_VIEW_GROUPS                           30373
#define ID_PROJECTED_LIGHT                       30374
#define ID_SPLINES_POPUP                         30375
#define ID_SELECTION_CENTER_ORIGIN               30376
#define ID_CURVE_INCREASE_VERT                   30377
#define ID_CURVE_DECREASE_VERT                   30378
#define ID_CURVE_INCREASE_HORZ                   30379
#define ID_CURVE_DECREASE_HORZ                   30380
#define ID_GRID_START                            30381
#define ID_GRID_POINT0625                        30382
#define ID_GRID_POINT125                         30383
#define ID_GRID_POINT25                          30384
#define ID_GRID_POINT5                           30385
#define ID_GRID_1                                30386
#define ID_GRID_2                                30387
#define ID_GRID_4                                30388
#define ID_GRID_8                                30389
#define ID_GRID_16                               30390
#define ID_GRID_32                               30391
#define ID_GRID_64                               30392
#define ID_GRID_END                              30393
#define ID_VIEW_MEDIABROWSER                     30394
#define ID_VIEW_GAME                             30395
#define ID_PATCH_NATURALIZEALT                   30396
#define ID_VIEW_SHOWTRIGGERS                     30397
#define ID_AUTOCAULK                             30398
#define ID_MISC_FINDORREPLACEENTITY              30399
#define ID_MISC_SETVIEWPOS                       30400
#define ID_MISC_FINDNEXTENT                      30401
#define ID_SELECTION_VIEW_WIREFRAMEON            30402
#define ID_SELECTION_VIEW_WIREFRAMEOFF           30403
#define ID_SELECTION_VIEW_VISIBLEON              30404
#define ID_SELECTION_VIEW_VISIBLEOFF             30405
#define ID_ENTITY_START                          40000
#define ID_ENTITY_END                            45000

// Next default values for new objects
// 
#ifdef APSTUDIO_INVOKED
#ifndef APSTUDIO_READONLY_SYMBOLS
#define _APS_3D_CONTROLS                1
#define _APS_NEXT_RESOURCE_VALUE        10083
#define _APS_NEXT_COMMAND_VALUE         30406
#define _APS_NEXT_CONTROL_VALUE         10555
#define _APS_NEXT_SYMED_VALUE           10083
#endif
#endif
